Bug 110703 - 4GB file limit when copying to SMB shares
4GB file limit when copying to SMB shares
Product: Fedora
Classification: Fedora
Component: gnome-vfs2-extras (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2003-11-23 13:41 EST by István Tóth
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-03 11:02:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description István Tóth 2003-11-23 13:41:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
The SMB VFS component corrupts 4GB+ files when copying to a WinXP share

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.have a directory shared from Windows XP for writing
2.open that share through nautilus with the smb:// syntax
2.copy a 4GB+ file there


Actual Results:  The transferred file was exactly 4GB on the windows
machine, and thus corrupted

Expected Results:  No corruption

Additional info:

The copy bar quickly went to 99%, and stayed there until the end of
the copy.
Comment 1 István Tóth 2003-11-23 14:55:46 EST
I've tried to do the same with the kernel smbfs, it bombs out at 2GB
with an error message (as expected with unpatched 2.4) 

With smbclient, the copy was successful, and also felt much faster.
Comment 2 Alexander Larsson 2004-03-03 11:02:29 EST
I verified that this works with fc2 latest gnome-vfs2 copying a
4736116602 byte file to a samba server. It worked fine.

Note You need to log in before you can comment on or make changes to this bug.